// Driver program to test above functions
#include <iostream>
#include "AVLCommands.h"

int main()
{
    AVLCommands avl;
    avl.Insert(2);
    avl.printTree();
    std::cout << std::endl;
    avl.Insert(3);
    avl.printTree();
    std::cout << std::endl;
    avl.Insert(4);
    avl.printTree();
    std::cout << std::endl;
    avl.Insert(5);
    avl.printTree();
    std::cout << std::endl;
    avl.Insert(1);
    avl.printTree();
    std::cout << std::endl;
    avl.Insert(6);
    avl.printTree();
    std::cout << std::endl;
    avl.Insert(7);
    avl.printTree();
    std::cout << std::endl;
    avl.Insert(8);
    avl.printTree();
    std::cout << std::endl;
    avl.Insert(9);
    //avl.Insert(50);
    avl.printTree();
    std::cout << std::endl;
    //avl.Delete(15);
    return 0;
}
